Bug 999753 - systemd files need After=network.target
systemd files need After=network.target
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ndjbdns (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: pjp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 23:48 EDT by Jay Fenlason
Modified: 2014-08-31 19:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: ndjbdns-1.05.8-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 21:58:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2013-08-21 23:48:53 EDT
Description of problem:
Because the systemd files lack an After= line, systemd attempts to start the services at the same time as the network.  Because dnscache and tinydns are small, they usually start before NetworkManager has had a chance to configure the interfaces, so they fail to start.

Version-Release number of selected component (if applicable):


How reproducible:
Usually.  Sometimes NetworkManager initializes the interfaces before the djbdns servers start, but usually tinydns and/or dnscache start when their interfaces are not initialized and fail to bind to them.

Steps to Reproduce:
1.
2.
3.

Actual results:
dnscache and/or tinydns enter FAILED state and are not running.

Expected results:
dnscache and tinydns running and servicing DNS requests.

Additional info:
Comment 1 pjp 2013-08-22 01:04:55 EDT
Thanks so much for reporting this bug Jay, I'll fix this in the upcoming release soon.

Thank you. :)
Comment 3 Fedora Update System 2013-09-02 05:39:34 EDT
ndjbdns-1.05.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.8-1.fc18
Comment 4 Fedora Update System 2013-09-02 05:40:05 EDT
ndjbdns-1.05.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.8-1.fc19
Comment 5 Fedora Update System 2013-09-02 19:28:33 EDT
Package ndjbdns-1.05.8-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ndjbdns-1.05.8-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15656/ndjbdns-1.05.8-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-06 09:42:49 EDT
ndjbdns-1.05.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.8-1.el6
Comment 7 Fedora Update System 2013-09-06 09:43:50 EDT
ndjbdns-1.05.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.8-1.el5
Comment 8 Fedora Update System 2013-09-10 21:58:14 EDT
ndjbdns-1.05.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-10 21:58:43 EDT
ndjbdns-1.05.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-09-23 14:11:13 EDT
ndjbdns-1.05.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-09-23 14:12:11 EDT
ndjbdns-1.05.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.